Products
List products
Retrieves a paginated list of products.
GET
/
products
List products
curl --request GET \
--url https://api.staging.streamlinedpayments.com/api/v1/products \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.staging.streamlinedpayments.com/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.streamlinedpayments.com/api/v1/products"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.staging.streamlinedpayments.com/api/v1/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"products": [
{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"sku": "<string>",
"default_unit_price": 123,
"unit": "each",
"currency": "USD",
"usage_count": 123,
"last_used_at": "2023-11-07T05:31:56Z",
"archived": true,
"quickbooks_item_id": 123,
"quickbooks_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123
}
}Authorizations
App ID for authentication
API Key for authentication
Query Parameters
Page number for pagination.
Number of records per page.
Search query (searches name, SKU, description)
Filter by archived status
Available options:
false, true, all ⌘I
List products
curl --request GET \
--url https://api.staging.streamlinedpayments.com/api/v1/products \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.staging.streamlinedpayments.com/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.streamlinedpayments.com/api/v1/products"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.staging.streamlinedpayments.com/api/v1/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"products": [
{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"sku": "<string>",
"default_unit_price": 123,
"unit": "each",
"currency": "USD",
"usage_count": 123,
"last_used_at": "2023-11-07T05:31:56Z",
"archived": true,
"quickbooks_item_id": 123,
"quickbooks_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123
}
}